Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.j2ssh.forwarding
Class ForwardingSocketChannel

    java.lang.Object
      com.sshtools.j2ssh.connection.Channel
          com.sshtools.j2ssh.connection.SocketChannel
              com.sshtools.j2ssh.forwarding.ForwardingSocketChannel

All Implemented Interfaces:
  ForwardingChannel

public class ForwardingSocketChannel
extends SocketChannel
implements ForwardingChannel

DOCUMENT ME!

Field Summary

Fields inherited from class com.sshtools.j2ssh.connection.SocketChannel
`socket`

Fields inherited from class com.sshtools.j2ssh.connection.Channel
`connection, localChannelId, localPacketSize, localWindow, remoteChannelId, remotePacketSize, remoteWindow, state`

Fields inherited from interface com.sshtools.j2ssh.forwarding.ForwardingChannel
`LOCAL_FORWARDING_CHANNEL, REMOTE_FORWARDING_CHANNEL, X11_FORWARDING_CHANNEL`

Constructor Summary
`ForwardingSocketChannel(java.lang.String forwardType, java.lang.String hostToConnectOrBind, int portToConnectOrBind, java.lang.String originatingHost, int originatingPort)` Creates a new ForwardingSocketChannel object.

Method Summary
`byte[]` | `getChannelConfirmationData()` DOCUMENT ME!
`byte[]` | `getChannelOpenData()` DOCUMENT ME!
`java.lang.String` | `getChannelType()` DOCUMENT ME!
`java.lang.String` | `getHostToConnectOrBind()` DOCUMENT ME!
`protected int` | `getMaximumPacketSize()` DOCUMENT ME!
`protected int` | `getMaximumWindowSpace()` DOCUMENT ME!
`protected int` | `getMinimumWindowSpace()` DOCUMENT ME!
`java.lang.String` | `getOriginatingHost()` DOCUMENT ME!
`int` | `getOriginatingPort()` DOCUMENT ME!
`int` | `getPortToConnectOrBind()` DOCUMENT ME!
`protected void` | `onChannelRequest(java.lang.String request, boolean wantReply, byte[] requestData)` DOCUMENT ME!

Methods inherited from class com.sshtools.j2ssh.connection.SocketChannel
`bindSocket, onChannelClose, onChannelData, onChannelEOF, onChannelExtData, onChannelOpen`

Methods inherited from class com.sshtools.j2ssh.connection.Channel
`addEventListener, close, finalizeClose, getLocalChannelId, getLocalPacketSize, getLocalWindow, getName, getRemoteChannelId, getRemotePacketSize, getRemoteWindow, getState, init, init, isClosed, isLocalEOF, isOpen, isRemoteEOF, open, processChannelData, processChannelData, remoteClose, sendChannelData, sendChannelExtData, setLocalEOF, setName, setRemoteEOF`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ForwardingSocketChannel

    public ForwardingSocketChannel(java.lang.String forwardType,
                                   java.lang.String hostToConnectOrBind,
                                   int portToConnectOrBind,
                                   java.lang.String originatingHost,
                                   int originatingPort)
                            throws ForwardingConfigurationException

  Creates a new ForwardingSocketChannel object.

Parameters:
  `forwardType` - DOCUMENT ME!
  `hostToConnectOrBind` - DOCUMENT ME!
  `portToConnectOrBind` - DOCUMENT ME!
  `originatingHost` - DOCUMENT ME!
  `originatingPort` - DOCUMENT ME!
Throws:
  `ForwardingConfigurationException` - DOCUMENT ME!

Method Detail

### getChannelOpenData

    public byte[] getChannelOpenData()

  DOCUMENT ME!

  Specified by:
    `getChannelOpenData` in class `Channel`
  Returns:
    DOCUMENT ME!

### getChannelConfirmationData

    public byte[] getChannelConfirmationData()

  DOCUMENT ME!

  Specified by:
    `getChannelConfirmationData` in class `Channel`
  Returns:
    DOCUMENT ME!

### getChannelType

    public java.lang.String getChannelType()

  DOCUMENT ME!

  Specified by:
    `getChannelType` in interface `ForwardingChannel`
  Specified by:
    `getChannelType` in class `Channel`
  Returns:
    DOCUMENT ME!

### getMinimumWindowSpace

    protected int getMinimumWindowSpace()

  DOCUMENT ME!

  Specified by:
    `getMinimumWindowSpace` in class `Channel`
  Returns:
    DOCUMENT ME!

### getMaximumWindowSpace

    protected int getMaximumWindowSpace()

  DOCUMENT ME!

  Specified by:
    `getMaximumWindowSpace` in class `Channel`
  Returns:
    DOCUMENT ME!

### getMaximumPacketSize

    protected int getMaximumPacketSize()

  DOCUMENT ME!

  Specified by:
    `getMaximumPacketSize` in class `Channel`
  Returns:
    DOCUMENT ME!

### getOriginatingHost

    public java.lang.String getOriginatingHost()

  DOCUMENT ME!

  Specified by:
    `getOriginatingHost` in interface `ForwardingChannel`
  Returns:
    DOCUMENT ME!

### getOriginatingPort

    public int getOriginatingPort()

  DOCUMENT ME!

  Specified by:
    `getOriginatingPort` in interface `ForwardingChannel`
  Returns:
    DOCUMENT ME!

### getHostToConnectOrBind

    public java.lang.String getHostToConnectOrBind()

  DOCUMENT ME!

  Specified by:
    `getHostToConnectOrBind` in interface `ForwardingChannel`
  Returns:
    DOCUMENT ME!

### getPortToConnectOrBind

    public int getPortToConnectOrBind()

  DOCUMENT ME!

  Specified by:
    `getPortToConnectOrBind` in interface `ForwardingChannel`
  Returns:
    DOCUMENT ME!

### onChannelRequest

    protected void onChannelRequest(java.lang.String request,
                                    boolean wantReply,
                                    byte[] requestData)
                             throws java.io.IOException

  DOCUMENT ME!

  Specified by:
    `onChannelRequest` in class `Channel`
  Parameters:
    `request` - DOCUMENT ME!
    `wantReply` - DOCUMENT ME!
    `requestData` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD